module Constants exposing (..)

import FontAwesome.Regular as R exposing (..)
import FontAwesome.Solid as S exposing (..)
import FontAwesome.Brands exposing (..)
import Color


colors =
    -- Colors generated with http://tools.medialab.sciences-po.fr/iwanthue/
    -- TODO: There are certainly better color sets available, but this will do for now
    -- [ ( 210, 75, 82 ), ( 82, 199, 43 ), ( 195, 72, 230 ), ( 159, 189, 35 ), ( 113, 64, 207 ), ( 83, 185, 75 ), ( 140, 106, 245 ), ( 168, 179, 52 ), ( 212, 67, 193 ), ( 63, 182, 116 ), ( 178, 101, 223 ), ( 111, 156, 59 ), ( 96, 99, 209 ), ( 209, 159, 45 ), ( 89, 129, 221 ), ( 237, 60, 27 ), ( 164, 104, 193 ), ( 230, 133, 31 ), ( 205, 83, 173 ), ( 181, 147, 59 ), ( 211, 72, 127 ), ( 218, 76, 35 ), ( 196, 102, 50 ), ( 216, 62, 57 ) ]
    [ ( 0, 31, 62 ), ( 0, 116, 217 ), ( 128, 219, 255 ), ( 57, 204, 204 ), ( 61, 153, 112 ), ( 46, 204, 64 ), ( 1, 255, 112 ), ( 255, 220, 0 ), ( 255, 133, 27 ), ( 255, 65, 54 ), ( 133, 20, 75 ), ( 240, 18, 190 ), ( 177, 13, 201 ), ( 17, 17, 17 ), ( 170, 170, 170 ), ( 221, 221, 221 ) ]
        |> List.map (\( r, b, g ) -> Color.rgb r b g)


fallbackColor =
    Color.rgb 255 255 255


fallbackIcon =
    S.address_book


brands =
    ([ fa_500px, accessible_icon, accusoft, adn, adversal, affiliatetheme, algolia, amazon_pay, amazon, amilia, android, angellist, angrycreative, angular, apper, apple_pay, apple, app_store_ios, app_store, asymmetrik, audible, autoprefixer, avianex, aviato, aws, bandcamp, behance_square, behance, bimobject, bitbucket, bitcoin, bity, blackberry, black_tie, blogger_b, blogger, bluetooth_b, bluetooth, btc, buromobelexperte, cc_amazon_pay, cc_amex, cc_apple_pay, cc_diners_club, cc_discover, cc_jcb, cc_mastercard, cc_paypal, cc_stripe, cc_visa, centercode, chrome, cloudscale, cloudsmith, cloudversify, codepen, codiepie, connectdevelop, contao, cpanel, creative_commons, css3_alt, css3, cuttlefish, d_and_d, dashcube, delicious, deploydog, deskpro, deviantart, digg, digital_ocean ] ++ [ discord, discourse, dochub, docker, draft2digital, dribbble_square, dribbble, dropbox, drupal, dyalog, earlybirds, edge, ember, empire, envira, erlang, ethereum, etsy, expeditedssl, facebook_f, facebook_messenger, facebook_square, facebook, firefox, firstdraft, first_order, flickr, fly, font_awesome_alt, font_awesome_flag, font_awesome, fonticons_fi, fonticons, fort_awesome_alt, fort_awesome, forumbee, foursquare, freebsd, free_code_camp, get_pocket, gg_circle, gg, github_alt, github_square, github, gitkraken, gitlab, git_square, git, gitter, glide_g, glide, gofore, goodreads_g, goodreads, google_drive, google_play, google_plus_g, google_plus_square, google_plus, google, google_wallet ] ++ [ gratipay, grav, gripfire, grunt, gulp, hacker_news_square, hacker_news, hire_a_helper, hooli, hotjar, houzz, html5, hubspot, imdb, instagram, internet_explorer, ioxhost, itunes_note, itunes, jenkins, joget, joomla, jsfiddle, js_square, js, keycdn, kickstarter_k, kickstarter, korvue, laravel, lastfm_square, lastfm, leanpub, less, line, linkedin_in, linkedin, linode, linux, lyft, magento, maxcdn, medapps, medium_m, medium, medrt, meetup, microsoft, mixcloud, mix, mizuni, modx, monero, napster, nintendo_switch, node_js, node, npm, ns8, nutritionix, odnoklassniki_square, odnoklassniki, opencart, openid, opera, optin_monster, osi, page4, pagelines, palfed, patreon, paypal, periscope ] ++ [ phabricator, phoenix_framework, pied_piper_alt, pied_piper_pp, pied_piper, pinterest_p, pinterest_square, pinterest, playstation, product_hunt, pushed, python, qq, quora, ravelry, react, rebel, reddit_alien, reddit_square, reddit, red_river, rendact, renren, replyd, resolving, rocketchat, rockrms, safari, sass, schlix, scribd, searchengin, sellcast, sellsy, servicestack, shirtsinbulk, simplybuilt, sistrix, skyatlas, skype, slack_hash, slack, slideshare, snapchat_ghost, snapchat_square, snapchat, soundcloud, speakap, spotify, stack_exchange, stack_overflow, staylinked, steam_square, steam, steam_symbol, sticker_mule, strava, stripe_s, stripe, studiovinari, stumbleupon_circle ] ++ [ stumbleupon, superpowers, supple, telegram_plane, telegram, tencent_weibo, themeisle, trello, tripadvisor, tumblr_square, tumblr, twitch, twitter_square, twitter, typo3, uber, uikit, uniregistry, untappd, usb, ussunnah, vaadin, viacoin, viadeo_square, viadeo, viber, vimeo_square, vimeo, vimeo_v, vine, vk, vnv, vuejs, weibo, weixin, whatsapp_square, whatsapp, whmcs, wikipedia_w, windows, wordpress_simple, wordpress, wpbeginner, wpexplorer, wpforms, xbox, xing_square, xing, yahoo, yandex_international, yandex, y_combinator, yelp, yoast, youtube ])


icons =
    ([ R.address_book, R.address_card, R.arrow_alt_circle_down, R.arrow_alt_circle_left, R.arrow_alt_circle_right, R.arrow_alt_circle_up, R.bell_slash, R.bell, R.bookmark, R.building, R.calendar_alt, R.calendar_check, R.calendar_minus, R.calendar_plus, R.calendar, R.calendar_times, R.caret_square_down, R.caret_square_left, R.caret_square_right, R.caret_square_up, R.chart_bar, R.check_circle, R.check_square, R.circle, R.clipboard, R.clock, R.clone, R.closed_captioning, R.comment_alt, R.comments, R.comment, R.compass, R.copyright, R.copy, R.credit_card, R.dot_circle, R.edit, R.envelope_open, R.envelope, R.eye_slash, R.file_alt, R.file_archive, R.file_audio, R.file_code, R.file_excel, R.file_image, R.file_pdf, R.file_powerpoint, R.file, R.file_video, R.file_word, R.flag, R.folder_open, R.folder, R.frown, R.futbol, R.gem, R.hand_lizard, R.hand_paper, R.hand_peace, R.hand_point_down, R.hand_pointer, R.hand_point_left, R.hand_point_right, R.hand_point_up, R.hand_rock, R.hand_scissors, R.handshake, R.hand_spock, R.hdd, R.heart, R.hospital, R.hourglass, R.id_badge, R.id_card, R.images ] ++ [ R.image, R.keyboard, R.lemon, R.life_ring, R.lightbulb, R.list_alt, R.map, R.meh, R.minus_square, R.money_bill_alt, R.moon, R.newspaper, R.object_group, R.object_ungroup, R.paper_plane, R.pause_circle, R.play_circle, R.plus_square, R.question_circle, R.registered, R.save, R.share_square, R.smile, R.snowflake, R.square, R.star_half, R.star, R.sticky_note, R.stop_circle, R.sun, R.thumbs_down, R.thumbs_up, R.times_circle, R.trash_alt, R.user_circle, R.user, R.window_close, R.window_maximize, R.window_restore, S.address_book, S.address_card, S.adjust, S.align_center, S.align_justify, S.align_left, S.align_right, S.ambulance, S.american_sign_language_interpreting, S.anchor, S.angle_double_down, S.angle_double_left, S.angle_double_right, S.angle_double_up, S.angle_down, S.angle_left, S.angle_right, S.angle_up, S.archive, S.arrow_alt_circle_down, S.arrow_alt_circle_left, S.arrow_alt_circle_right, S.arrow_alt_circle_up, S.arrow_circle_down, S.arrow_circle_left, S.arrow_circle_right, S.arrow_circle_up, S.arrow_down, S.arrow_left, S.arrow_right, S.arrows_alt_h, S.arrows_alt, S.arrows_alt_v, S.arrow_up, S.assistive_listening_systems, S.asterisk, S.at, S.audio_description, S.backward, S.balance_scale, S.ban, S.barcode, S.bars, S.bath, S.battery_empty, S.battery_full, S.battery_half, S.battery_quarter, S.battery_three_quarters, S.bed, S.beer, S.bell_slash, S.bell, S.bicycle, S.binoculars, S.birthday_cake, S.blind, S.bold, S.bolt, S.bomb, S.bookmark, S.book, S.braille, S.briefcase, S.bug, S.building, S.bullhorn, S.bullseye, S.bus ] ++ [ S.calculator, S.calendar_alt, S.calendar_check, S.calendar_minus, S.calendar_plus, S.calendar, S.calendar_times, S.camera_retro, S.camera, S.caret_down, S.caret_left, S.caret_right, S.caret_square_down, S.caret_square_left, S.caret_square_right, S.caret_square_up, S.caret_up, S.car, S.cart_arrow_down, S.cart_plus, S.certificate, S.chart_area, S.chart_bar, S.chart_line, S.chart_pie, S.check_circle, S.check_square, S.check, S.chevron_circle_down, S.chevron_circle_left, S.chevron_circle_right, S.chevron_circle_up, S.chevron_down, S.chevron_left, S.chevron_right, S.chevron_up, S.child, S.circle_notch, S.circle, S.clipboard, S.clock, S.clone, S.closed_captioning, S.cloud_download_alt, S.cloud, S.cloud_upload_alt, S.code_branch, S.code, S.coffee, S.cogs, S.cog, S.columns, S.comment_alt, S.comments, S.comment, S.compass, S.compress, S.copyright, S.copy, S.credit_card, S.crop, S.crosshairs, S.cubes, S.cube, S.cut, S.database, S.deaf, S.desktop, S.dollar_sign, S.dot_circle, S.download, S.edit, S.eject, S.ellipsis_h, S.ellipsis_v, S.envelope_open, S.envelope_square, S.envelope, S.eraser, S.euro_sign, S.exchange_alt, S.exclamation_circle, S.exclamation, S.exclamation_triangle, S.expand_arrows_alt, S.expand, S.external_link_alt, S.external_link_square_alt, S.eye_dropper, S.eye_slash, S.eye, S.fast_backward, S.fast_forward, S.fax, S.female, S.fighter_jet, S.file_alt, S.file_archive, S.file_audio, S.file_code, S.file_excel, S.file_image, S.file_pdf, S.file_powerpoint, S.file, S.file_video, S.file_word, S.film, S.filter, S.fire_extinguisher ] ++ [ S.fire, S.flag_checkered, S.flag, S.flask, S.folder_open, S.folder, S.font, S.forward, S.frown, S.futbol, S.gamepad, S.gavel, S.gem, S.genderless, S.gift, S.glass_martini, S.globe, S.graduation_cap, S.hand_lizard, S.hand_paper, S.hand_peace, S.hand_point_down, S.hand_pointer, S.hand_point_left, S.hand_point_right, S.hand_point_up, S.hand_rock, S.hand_scissors, S.handshake, S.hand_spock, S.hashtag, S.hdd, S.heading, S.headphones, S.heartbeat, S.heart, S.history, S.home, S.hospital, S.hourglass_end, S.hourglass_half, S.hourglass_start, S.hourglass, S.h_square, S.i_cursor, S.id_badge, S.id_card, S.images, S.image, S.inbox, S.indent, S.industry, S.info_circle, S.info, S.italic, S.keyboard, S.key, S.language, S.laptop, S.leaf, S.lemon, S.level_down_alt, S.level_up_alt, S.life_ring, S.lightbulb, S.link, S.lira_sign, S.list_alt, S.list_ol, S.list, S.list_ul, S.location_arrow, S.lock_open, S.lock, S.long_arrow_alt_down, S.long_arrow_alt_left, S.long_arrow_alt_right, S.long_arrow_alt_up, S.low_vision, S.magic, S.magnet, S.male, S.map_marker_alt, S.map_marker, S.map_pin, S.map_signs, S.map, S.mars_double, S.mars_stroke_h, S.mars_stroke, S.mars_stroke_v, S.mars, S.medkit, S.meh, S.mercury, S.microchip, S.microphone_slash, S.microphone, S.minus_circle, S.minus_square, S.minus, S.mobile_alt, S.mobile, S.money_bill_alt, S.moon, S.motorcycle, S.mouse_pointer, S.music, S.neuter, S.newspaper, S.object_group, S.object_ungroup, S.outdent, S.paint_brush, S.paperclip, S.paper_plane, S.paragraph, S.paste, S.pause_circle, S.pause, S.paw, S.pencil_alt, S.pen_square, S.percent, S.phone_square, S.phone, S.phone_volume, S.plane, S.play_circle, S.play, S.plug, S.plus_circle, S.plus_square, S.plus, S.podcast ] ++ [ S.pound_sign, S.power_off, S.print, S.puzzle_piece, S.qrcode, S.question_circle, S.question, S.quote_left, S.quote_right, S.random, S.recycle, S.redo_alt, S.redo, S.registered, S.reply_all, S.reply, S.retweet, S.road, S.rocket, S.rss_square, S.rss, S.ruble_sign, S.rupee_sign, S.save, S.search_minus, S.search_plus, S.search, S.server, S.share_alt_square, S.share_alt, S.share_square, S.share, S.shekel_sign, S.shield_alt, S.ship, S.shopping_bag, S.shopping_basket, S.shopping_cart, S.shower, S.signal, S.sign_in_alt, S.sign_language, S.sign_out_alt, S.sitemap, S.sliders_h, S.smile, S.snowflake, S.sort_alpha_down, S.sort_alpha_up, S.sort_amount_down, S.sort_amount_up, S.sort_down, S.sort_numeric_down, S.sort_numeric_up, S.sort, S.sort_up, S.space_shuttle, S.spinner, S.square, S.star_half, S.star, S.step_backward, S.step_forward, S.stethoscope, S.sticky_note, S.stop_circle, S.stop, S.stopwatch, S.street_view, S.strikethrough, S.subscript, S.subway, S.suitcase, S.sun, S.superscript, S.sync_alt, S.sync, S.table, S.tablet_alt, S.tablet, S.tachometer_alt, S.tags, S.tag, S.tasks, S.taxi, S.terminal, S.text_height, S.text_width, S.thermometer_empty, S.thermometer_full, S.thermometer_half, S.thermometer_quarter, S.thermometer_three_quarters, S.th_large, S.th_list, S.th, S.thumbs_down, S.thumbs_up, S.thumbtack, S.ticket_alt, S.times_circle, S.times, S.tint, S.toggle_off, S.toggle_on, S.trademark, S.train, S.transgender_alt, S.transgender, S.trash_alt, S.trash, S.tree, S.trophy, S.truck, S.tty, S.tv, S.umbrella, S.underline ] ++ [ S.undo_alt, S.undo, S.universal_access, S.university, S.unlink, S.unlock_alt, S.unlock, S.upload, S.user_circle, S.user_md, S.user_plus, S.user_secret, S.users, S.user, S.user_times, S.utensil_spoon, S.utensils, S.venus_double, S.venus_mars, S.venus, S.video, S.volume_down, S.volume_off, S.volume_up, S.wheelchair, S.wifi, S.window_close, S.window_maximize, S.window_minimize, S.window_restore, S.won_sign, S.wrench, S.yen_sign ])
